using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace カブラウザもどき
{
    public partial class FormBrowser : Form
    {
        public FormBrowser()
        {
            InitializeComponent();
            //this.addressTextBox.Text = "https://info.edinet-fsa.go.jp/E01EW/BLMainController.jsp?uji.verb=W1E62010YuKaBtn&uji.bean=ee.bean.EEW1E62030IBean&PID=currentPage&TID=W1E62030";
        }


        private void webBrowser1_NewWindow(object sender, CancelEventArgs e)
        {

        }

        public ExWebBrowser getBrowser()
        {
            return this.exWebBrowser1;
        }

        private void splitContainer1_Panel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void exWebBrowser1_NewWindow(object sender, CancelEventArgs e)
        {

        }

        private void exWebBrowser1_StartNavigate(object sender, BrowserExtendedNavigatingEventArgs e)
        {
            Console.WriteLine("FromBrowser navigate start.\r\n");
            this.Visible = true;
        }

        private void exWebBrowser1_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {
            if (this.exWebBrowser1.Document.Title == "" || this.exWebBrowser1.Document.Title == null) {
                this.Close();
            }

        }
      
    }
}
